Changeset 871 for trunk/configure


Ignore:
Timestamp:
Feb 13, 2008 3:52:57 PM (11 years ago)
Author:
forrest
Message:

add diving heuristics

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r710 r871  
    489489ac_subdirs_all="$ac_subdirs_all Cbc"
    490490ac_subdirs_all="$ac_subdirs_all SYMPHONY"
    491 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS subdirs COIN_SKIP_PROJECTS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     491ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS subdirs COIN_SKIP_PROJECTS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    492492ac_subst_files=''
    493493
     
    11141114  --enable-doscompile     Under Cygwin, compile so that executables run under
    11151115                          DOS. Set to mingw to use gcc/g++/ld with
    1116                           -mno-cygwin. Set to msvc to use cl/link. Default
    1117                           when mentioned: mingw. Default when not mentioned:
    1118                           disabled.
     1116                          -mno-cygwin. Set to msvc to use cl/link (or
     1117                          icl/link). Default when mentioned: mingw. Default
     1118                          when not mentioned: disabled.
    11191119  --enable-static[=PKGS]
    11201120                          build static libraries [default=no]
     
    17651765  if test "$enable_doscompile" != no; then
    17661766     case $build in
    1767        *-cygwin*) ;;
    1768        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1769 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1767       *-cygwin* | *-mingw*) ;;
     1768       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1769echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    17701770   { (exit 1); exit 1; }; } ;;
    17711771     esac
     
    17751775fi;
    17761776 case "$enable_doscompile" in
    1777    msvc|mingw|no) ;;
     1777   mingw)
     1778     case $build in
     1779       *-mingw*) enable_doscompile=no ;;
     1780     esac
     1781     ;;
     1782   msvc|no) ;;
    17781783   yes) enable_doscompile=mingw ;;
    17791784   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    18031808if test x"$CXX" != x; then
    18041809  case "$CXX" in
    1805     cl* | */cl* | CL* | */CL*)
     1810    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    18061811      if test x"$CC" = x; then
    18071812        CC="$CXX"
     
    18211826
    18221827save_cflags="$CFLAGS"
    1823 # For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
    1824 # ToDo: If Studio/Workshop cc is not present, we may find /usr/ucb/cc, which
    1825 # is likely to be a non-functional shell. But many installations will have
    1826 # both cc and gcc, so promoting gcc isn't good either. How to test reliably?
     1828
     1829# For *-*-solaris*, promote Studio/Workshop cc compiler to front of list.
     1830# Depending on the user's PATH, when Studio/Workshop cc is not present we may
     1831# find /usr/ucb/cc, which is almost certainly not a good choice for the C
     1832# compiler. In this case, put cc after gcc.
     1833
    18271834case $build in
    18281835  *-cygwin* | *-mingw*)
    18291836             if test "$enable_doscompile" = msvc ; then
    1830                comps="cl"
     1837               comps="icl cl"
    18311838             else
    18321839               comps="gcc cl"
    18331840             fi ;;
    1834   sparc-sun-solaris*)
    1835              comps="cc xlc gcc pgcc icc" ;;
     1841  *-*-solaris*)
     1842             # Extract the first word of "cc", so it can be a program name with args.
     1843set dummy cc; ac_word=$2
     1844echo "$as_me:$LINENO: checking for $ac_word" >&5
     1845echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1846if test "${ac_cv_prog_sol_cc_compiler+set}" = set; then
     1847  echo $ECHO_N "(cached) $ECHO_C" >&6
     1848else
     1849  if test -n "$sol_cc_compiler"; then
     1850  ac_cv_prog_sol_cc_compiler="$sol_cc_compiler" # Let the user override the test.
     1851else
     1852  ac_prog_rejected=no
     1853as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1854for as_dir in $PATH
     1855do
     1856  IFS=$as_save_IFS
     1857  test -z "$as_dir" && as_dir=.
     1858  for ac_exec_ext in '' $ac_executable_extensions; do
     1859  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1860    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
     1861       ac_prog_rejected=yes
     1862       continue
     1863     fi
     1864    ac_cv_prog_sol_cc_compiler="cc"
     1865    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1866    break 2
     1867  fi
     1868done
     1869done
     1870
     1871if test $ac_prog_rejected = yes; then
     1872  # We found a bogon in the path, so make sure we never use it.
     1873  set dummy $ac_cv_prog_sol_cc_compiler
     1874  shift
     1875  if test $# != 0; then
     1876    # We chose a different compiler from the bogus one.
     1877    # However, it has the same basename, so the bogon will be chosen
     1878    # first if we set sol_cc_compiler to just the basename; use the full file name.
     1879    shift
     1880    ac_cv_prog_sol_cc_compiler="$as_dir/$ac_word${1+' '}$@"
     1881  fi
     1882fi
     1883fi
     1884fi
     1885sol_cc_compiler=$ac_cv_prog_sol_cc_compiler
     1886if test -n "$sol_cc_compiler"; then
     1887  echo "$as_me:$LINENO: result: $sol_cc_compiler" >&5
     1888echo "${ECHO_T}$sol_cc_compiler" >&6
     1889else
     1890  echo "$as_me:$LINENO: result: no" >&5
     1891echo "${ECHO_T}no" >&6
     1892fi
     1893
     1894             if test "$sol_cc_compiler" = "cc" ; then
     1895               comps="cc xlc gcc pgcc icc"
     1896             else
     1897               comps="xlc gcc pgcc icc cc"
     1898             fi
     1899             ;;
    18361900  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    18371901  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    26572721            coin_dbg_cflags='-MTd'
    26582722            ;;
     2723          icl* | */icl* | ICL* | */ICL*)
     2724            coin_opt_cflags='-MT -Ox'
     2725            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     2726            coin_dbg_cflags='-MTd -debug'
     2727            ;;
    26592728        esac
    26602729        ;;
     
    27252794          xlc* | */xlc* | mpxlc* | */mpxlc*)
    27262795            coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    2727             coin_add_cflags="-bmaxdata:0x80000000"
     2796            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27282797            coin_dbg_cflags="-g"
    27292798          ;;
     
    27352804        coin_dbg_cflags="-g"
    27362805        ;;
    2737       *-sun-*)
     2806      *-*-solaris*)
    27382807        coin_opt_cflags="-xO4"
    27392808        coin_dbg_cflags="-g"
     
    29633032# Correct ADDLIBS initialization if we are using the MS compiler
    29643033case "$CC" in
    2965   cl* | */cl* | CL* | */CL*)
     3034  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    29663035    ADDLIBS=
    29673036    case $build in
     
    30103079
    30113080save_cxxflags="$CXXFLAGS"
    3012 # For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
     3081# For *-*-solaris*, promote Studio/Workshop compiler to front of list.
    30133082case $build in
    30143083  *-cygwin* | *-mingw*)
    30153084             if test "$enable_doscompile" = msvc ; then
    3016                comps="cl"
     3085               comps="icl cl"
    30173086             else
    30183087               comps="g++ cl"
    30193088             fi ;;
    3020   sparc-sun-solaris*)
     3089  *-*-solaris*)
    30213090             comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30223091  *-darwin*) comps="g++ c++ CC" ;;
     
    33913460# It seems that we need to cleanup something here for the Windows
    33923461case "$CXX" in
    3393   cl* | */cl* | CL* | */CL* )
     3462  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    33943463    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
    33953464    mv confdefs.hh confdefs.h
     
    35003569            coin_dbg_cxxflags='-MTd'
    35013570            ;;
     3571          icl* | */icl* | ICL* | */ICL*)
     3572            # The MT and MTd options are mutually exclusive
     3573            coin_opt_cxxflags='-MT -Ox'
     3574            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
     3575            coin_dbg_cxxflags='-MTd -debug'
     3576            ;;
    35023577        esac
    35033578        ;;
     
    35683643          xlC* | */xlC* | mpxlC* | */mpxlC*)
    35693644            coin_opt_cxxflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3570             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna"
     3645            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
    35713646            coin_dbg_cxxflags="-g"
    35723647            ;;
     
    35823657        esac
    35833658        ;;
    3584       *-sun-*)
     3659      *-*-solaris*)
    35853660          coin_opt_cxxflags="-O4"
    35863661          coin_dbg_cxxflags="-g"
     
    38463921       coin_f77_comps="gfortran g77 ifort fl32 compile_f2c"
    38473922     fi ;;
    3848   sparc-sun-solaris*)
     3923  *-*-solaris*)
    38493924     coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    38503925  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     
    40194094
    40204095# Provide some information about the compiler.
    4021 echo "$as_me:4021:" \
     4096echo "$as_me:4096:" \
    40224097     "checking for Fortran 77 compiler version" >&5
    40234098ac_compiler=`set X $ac_compile; echo $2`
     
    43014376          xlf* | */xlf* | mpxlf* | */mpxlf* )
    43024377            coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    4303             coin_add_fflags="-bmaxdata:0x80000000"
     4378            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    43044379            coin_dbg_fflags="-g -C"
    43054380            ;;
     
    43114386        coin_dbg_fflags="-C -g"
    43124387        ;;
    4313       *-sun-*)
     4388      *-*-solaris*)
    43144389        coin_opt_fflags="-O4"
    43154390        coin_dbg_fflags="-g"
     
    45434618# START
    45444619
    4545 # On Cygwin, building DLLs doesn't work
     4620# On Cygwin and AIX, building DLLs doesn't work
    45464621case $build in
    45474622  *-cygwin*)
    45484623    coin_disable_shared=yes
    45494624    platform=Cygwin
     4625  ;;
     4626  *-aix*)
     4627    coin_disable_shared=yes
     4628    platform=AIX
    45504629  ;;
    45514630  *-mingw*)
     
    62646343*-*-irix6*)
    62656344  # Find out which ABI we are using.
    6266   echo '#line 6266 "configure"' > conftest.$ac_ext
     6345  echo '#line 6345 "configure"' > conftest.$ac_ext
    62676346  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62686347  (eval $ac_compile) 2>&5
     
    82288307   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82298308   -e 's:$: $lt_compiler_flag:'`
    8230    (eval echo "\"\$as_me:8230: $lt_compile\"" >&5)
     8309   (eval echo "\"\$as_me:8309: $lt_compile\"" >&5)
    82318310   (eval "$lt_compile" 2>conftest.err)
    82328311   ac_status=$?
    82338312   cat conftest.err >&5
    8234    echo "$as_me:8234: \$? = $ac_status" >&5
     8313   echo "$as_me:8313: \$? = $ac_status" >&5
    82358314   if (exit $ac_status) && test -s "$ac_outfile"; then
    82368315     # The compiler can only warn and ignore the option if not recognized
     
    84968575   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84978576   -e 's:$: $lt_compiler_flag:'`
    8498    (eval echo "\"\$as_me:8498: $lt_compile\"" >&5)
     8577   (eval echo "\"\$as_me:8577: $lt_compile\"" >&5)
    84998578   (eval "$lt_compile" 2>conftest.err)
    85008579   ac_status=$?
    85018580   cat conftest.err >&5
    8502    echo "$as_me:8502: \$? = $ac_status" >&5
     8581   echo "$as_me:8581: \$? = $ac_status" >&5
    85038582   if (exit $ac_status) && test -s "$ac_outfile"; then
    85048583     # The compiler can only warn and ignore the option if not recognized
     
    86008679   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86018680   -e 's:$: $lt_compiler_flag:'`
    8602    (eval echo "\"\$as_me:8602: $lt_compile\"" >&5)
     8681   (eval echo "\"\$as_me:8681: $lt_compile\"" >&5)
    86038682   (eval "$lt_compile" 2>out/conftest.err)
    86048683   ac_status=$?
    86058684   cat out/conftest.err >&5
    8606    echo "$as_me:8606: \$? = $ac_status" >&5
     8685   echo "$as_me:8685: \$? = $ac_status" >&5
    86078686   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86088687   then
     
    1094511024  lt_status=$lt_dlunknown
    1094611025  cat > conftest.$ac_ext <<EOF
    10947 #line 10947 "configure"
     11026#line 11026 "configure"
    1094811027#include "confdefs.h"
    1094911028
     
    1104511124  lt_status=$lt_dlunknown
    1104611125  cat > conftest.$ac_ext <<EOF
    11047 #line 11047 "configure"
     11126#line 11126 "configure"
    1104811127#include "confdefs.h"
    1104911128
     
    1338913468   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339013469   -e 's:$: $lt_compiler_flag:'`
    13391    (eval echo "\"\$as_me:13391: $lt_compile\"" >&5)
     13470   (eval echo "\"\$as_me:13470: $lt_compile\"" >&5)
    1339213471   (eval "$lt_compile" 2>conftest.err)
    1339313472   ac_status=$?
    1339413473   cat conftest.err >&5
    13395    echo "$as_me:13395: \$? = $ac_status" >&5
     13474   echo "$as_me:13474: \$? = $ac_status" >&5
    1339613475   if (exit $ac_status) && test -s "$ac_outfile"; then
    1339713476     # The compiler can only warn and ignore the option if not recognized
     
    1349313572   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1349413573   -e 's:$: $lt_compiler_flag:'`
    13495    (eval echo "\"\$as_me:13495: $lt_compile\"" >&5)
     13574   (eval echo "\"\$as_me:13574: $lt_compile\"" >&5)
    1349613575   (eval "$lt_compile" 2>out/conftest.err)
    1349713576   ac_status=$?
    1349813577   cat out/conftest.err >&5
    13499    echo "$as_me:13499: \$? = $ac_status" >&5
     13578   echo "$as_me:13578: \$? = $ac_status" >&5
    1350013579   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1350113580   then
     
    1506315142   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1506415143   -e 's:$: $lt_compiler_flag:'`
    15065    (eval echo "\"\$as_me:15065: $lt_compile\"" >&5)
     15144   (eval echo "\"\$as_me:15144: $lt_compile\"" >&5)
    1506615145   (eval "$lt_compile" 2>conftest.err)
    1506715146   ac_status=$?
    1506815147   cat conftest.err >&5
    15069    echo "$as_me:15069: \$? = $ac_status" >&5
     15148   echo "$as_me:15148: \$? = $ac_status" >&5
    1507015149   if (exit $ac_status) && test -s "$ac_outfile"; then
    1507115150     # The compiler can only warn and ignore the option if not recognized
     
    1516715246   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1516815247   -e 's:$: $lt_compiler_flag:'`
    15169    (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
     15248   (eval echo "\"\$as_me:15248: $lt_compile\"" >&5)
    1517015249   (eval "$lt_compile" 2>out/conftest.err)
    1517115250   ac_status=$?
    1517215251   cat out/conftest.err >&5
    15173    echo "$as_me:15173: \$? = $ac_status" >&5
     15252   echo "$as_me:15252: \$? = $ac_status" >&5
    1517415253   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1517515254   then
     
    1737417453   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1737517454   -e 's:$: $lt_compiler_flag:'`
    17376    (eval echo "\"\$as_me:17376: $lt_compile\"" >&5)
     17455   (eval echo "\"\$as_me:17455: $lt_compile\"" >&5)
    1737717456   (eval "$lt_compile" 2>conftest.err)
    1737817457   ac_status=$?
    1737917458   cat conftest.err >&5
    17380    echo "$as_me:17380: \$? = $ac_status" >&5
     17459   echo "$as_me:17459: \$? = $ac_status" >&5
    1738117460   if (exit $ac_status) && test -s "$ac_outfile"; then
    1738217461     # The compiler can only warn and ignore the option if not recognized
     
    1764217721   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1764317722   -e 's:$: $lt_compiler_flag:'`
    17644    (eval echo "\"\$as_me:17644: $lt_compile\"" >&5)
     17723   (eval echo "\"\$as_me:17723: $lt_compile\"" >&5)
    1764517724   (eval "$lt_compile" 2>conftest.err)
    1764617725   ac_status=$?
    1764717726   cat conftest.err >&5
    17648    echo "$as_me:17648: \$? = $ac_status" >&5
     17727   echo "$as_me:17727: \$? = $ac_status" >&5
    1764917728   if (exit $ac_status) && test -s "$ac_outfile"; then
    1765017729     # The compiler can only warn and ignore the option if not recognized
     
    1774617825   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774717826   -e 's:$: $lt_compiler_flag:'`
    17748    (eval echo "\"\$as_me:17748: $lt_compile\"" >&5)
     17827   (eval echo "\"\$as_me:17827: $lt_compile\"" >&5)
    1774917828   (eval "$lt_compile" 2>out/conftest.err)
    1775017829   ac_status=$?
    1775117830   cat out/conftest.err >&5
    17752    echo "$as_me:17752: \$? = $ac_status" >&5
     17831   echo "$as_me:17831: \$? = $ac_status" >&5
    1775317832   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1775417833   then
     
    2043220511
    2043320512
    20434 # Fix bugs in libtool script for Windows native compilation:
    20435 # - cygpath is not correctly quoted in fix_srcfile_path
    20436 # - paths generated for .lib files is not run through cygpath -w
    20437 
    20438 
    20439 # - lib includes subdirectory information; we want to replace
    20440 #
    20441 # old_archive_cmds="lib /OUT:\$oldlib\$oldobjs\$old_deplibs"
    20442 #
    20443 # by
    20444 #
    20445 # old_archive_cmds="echo \$oldlib | grep .libs >/dev/null; if test \$? = 0; then cd .libs; lib /OUT:\`echo \$oldlib\$oldobjs\$old_deplibs | sed -e s@\.libs/@@g\`; cd .. ; else lib /OUT:\$oldlib\$oldobjs\$old_deplibs ; fi"
    20446 #
    20447 #          -e 's%old_archive_cmds="lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs"%old_archive_cmds="echo \\\$oldlib \| grep .libs >/dev/null; if test \\\$? = 0; then cd .libs; lib /OUT:\\\`echo \\\$oldlib\\\$oldobjs\\\$old_deplibs \| sed -e s@\\.libs/@@g\\\`; cd .. ; else lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs; fi"%' \
    20448 
    20449 # The following was a hack for chaniing @BACKSLASH to \
    20450 #          -e 'sYcompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"'`Ycompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"' | \$Xsed -e '"'"'s%@BACKSLASH@%\\\\\\\\\\\\\\\\%g'"'"'`Y' \
    20451 
    20452   # Correct cygpath for minGW (ToDo!)
    2045320513  { echo "$as_me:$LINENO: Build is \"$build\"." >&5
    2045420514echo "$as_me: Build is \"$build\"." >&6;}
     
    2046220522
    2046320523  case $build in
     20524    # Here we need to check if -m32 is specified.  If so, we need to correct
     20525    # sys_lib_search_path_spec
    2046420526    *x86_64-*)
    20465 # Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
    2046620527      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
    2046720528        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     
    2047220533      fi
    2047320534      ;;
     20535
     20536    *-solaris*)
     20537       if test "$GCC" = yes && \
     20538     (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm64' >/dev/null 2>&1) ; then
     20539    hdwisa=`isainfo | sed -e 's/\([^ ]*\) .*$/\1/'`
     20540    if `$EGREP 'sys_lib_search_path_spec=' libtool | $EGREP -v $hdwisa >/dev/null 2>&1` ; then
     20541      { echo "$as_me:$LINENO: Applying patches to libtool for 64-bit GCC compilation" >&5
     20542echo "$as_me: Applying patches to libtool for 64-bit GCC compilation" >&6;}
     20543      fixlibtmp=`$CC -m64 -print-search-dirs | $EGREP '^libraries:'`
     20544      fixlibtmp=`echo $fixlibtmp | sed -e 's/libraries: =//' -e 's/:/ /g'`
     20545      if `echo "$fixlibtmp" | $EGREP -v $hdwisa  >/dev/null 2>&1` ; then
     20546        # AC_MSG_NOTICE(Compensating for broken gcc)
     20547        for lib in $fixlibtmp ; do
     20548          if test -d "${lib}${hdwisa}" ; then
     20549            syslibpath64="$syslibpath64 ${lib}${hdwisa}/"
     20550          fi
     20551        done
     20552        syslibpath64="${syslibpath64} ${fixlibtmp}"
     20553      else
     20554        syslibpath64="$fixlibtmp"
     20555      fi
     20556      sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="'"$syslibpath64"'"|' libtool > conftest.bla
     20557      mv conftest.bla libtool
     20558      chmod 755 libtool
     20559    fi
     20560    # AC_MSG_NOTICE(Result is )
     20561    # $EGREP 'sys_lib_search_path_spec=' libtool
     20562  fi
     20563      ;;
     20564    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    2047420565    *-cygwin* | *-mingw*)
    20475     case "$CXX" in
    20476       cl* | */cl* | CL* | */CL*)
    20477         { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20566       case "$CXX" in
     20567    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20568      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    2047820569echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20479         sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20480             -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20481             -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20482             -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20483             -e 's%lib /OUT:%lib -OUT:%' \
    20484             -e "s%cygpath -w%$CYGPATH_W%" \
    20485             -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20486             -e 's/$AR t/lib -nologo -list/' \
    20487             -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20488             -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20489             -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20490         libtool > conftest.bla
    20491 
    20492         mv conftest.bla libtool
    20493         chmod 755 libtool
    20494         ;;
    20495       *)
    20496         { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20570      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20571          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20572          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20573          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20574          -e 's%lib /OUT:%lib -OUT:%' \
     20575          -e "s%cygpath -w%$CYGPATH_W%" \
     20576          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20577          -e 's/$AR t/lib -nologo -list/' \
     20578          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20579          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20580          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20581      libtool > conftest.bla
     20582
     20583      mv conftest.bla libtool
     20584      chmod 755 libtool
     20585      ;;
     20586    *)
     20587      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    2049720588echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20498         sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20499             -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20500             -e 's|libext="lib"|libext="a"|' \
    20501         libtool > conftest.bla
    20502 
    20503         mv conftest.bla libtool
    20504         chmod 755 libtool
    20505         ;;
    20506     esac
    20507     ;;
     20589      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20590          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20591          -e 's|libext="lib"|libext="a"|' \
     20592      libtool > conftest.bla
     20593
     20594      mv conftest.bla libtool
     20595      chmod 755 libtool
     20596      ;;
     20597  esac
     20598      ;;
    2050820599    *-darwin*)
    2050920600      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2054720638    *-mingw32)
    2054820639        RPATH_FLAGS=nothing ;;
    20549     *-sun-*)
     20640    *-*-solaris*)
    2055020641        RPATH_FLAGS=
    2055120642        for dir in $abs_lib_dir; do
     
    2120921300fi
    2121021301case "$CC" in
    21211   cl* | */cl* | CL* | */CL*)
     21302  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2121221303    coin_link_input_cmd=cp ;;
    2121321304esac
     
    2122721318
    2122821319  case "$CC" in
    21229     cl* | */cl* | CL* | */CL*)
     21320    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2123021321         LIBEXT=lib ;;
    2123121322      *) LIBEXT=a ;;
     
    2194522036s,@DBG_CFLAGS@,$DBG_CFLAGS,;t t
    2194622037s,@OPT_CFLAGS@,$OPT_CFLAGS,;t t
     22038s,@sol_cc_compiler@,$sol_cc_compiler,;t t
    2194722039s,@CC@,$CC,;t t
    2194822040s,@CFLAGS@,$CFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.